package com.example.modular.global.components;

import org.apache.wicket.markup.html.WebPage;
import org.apache.wicket.markup.html.basic.Label;
import org.apache.wicket.markup.html.link.BookmarkablePageLink;

/**
 * Labeled bookmarkable link.
 * 
 * @author Krzysztof Smigielski
 */
public class ForwardLink extends BookmarkablePageLink<String> {

    private static final long serialVersionUID = 59189914532471L;

    /**
     * Default constructor.
     * 
     * @param pWicketId Wicket component id.
     * @param pLabel displayed link label.
     * @param pTarget target class of the link.
     */
    public ForwardLink(String pWicketId, String pLabel, Class<? extends WebPage> pTarget) {
        super(pWicketId, pTarget);
        add(new Label("label", pLabel));
        setAutoEnable(true);
    }

}
