package com.example.modular.warsaw.components;

import org.apache.wicket.markup.html.basic.Label;
import org.apache.wicket.markup.html.panel.Panel;

/**
 * Modified version of the Warsaw time zone panel.
 * 
 * Important: this class overrides WarsawPanel defined in Warsaw project.
 * 
 * @author Krzysztof Smigielski
 */
public class WarsawPanel extends Panel {

    private static final long serialVersionUID = -1200546434770744713L;

    /**
     * Default constructor.
     * 
     * @param pWicketId Wicket component id.
     */
    public WarsawPanel(String pWicketId) {
        super(pWicketId);
        add(new Label("header", "New version of the Warsaw time zone page"));
        add(new TimeZoneLink("tzLink", "Europe/Warsaw"));
    }

}
